Bug 1156485 - [rfe] use dnf instead of yum
[rfe] use dnf instead of yum
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libreport (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Filak
Fedora Extras Quality Assurance
:
Depends On: 1138096 1184943 1189069 1189083 1195661
Blocks: 1156491
  Show dependency treegraph
 
Reported: 2014-10-24 10:44 EDT by Rahul Sundaram
Modified: 2016-11-30 19:47 EST (History)
7 users (show)

See Also:
Fixed In Version: libreport-2.5.0-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-18 05:31:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2014-10-24 10:44:41 EDT
Description of problem:


Fedora 22 is planning to switch over to dnf from yum as per

https://fedoraproject.org/wiki/Changes/ReplaceYumWithDNF

libreport-python should switch over to using dnf instead of yum in rawhide
Comment 1 Jakub Filak 2014-10-24 11:08:07 EDT
Thanks for the report!

Upstream ticket: https://github.com/abrt/libreport/issues/291
Comment 2 Jakub Filak 2014-10-31 07:56:16 EDT
We have to port DebugInfoDownload class[1] to dnf.Base.

1: https://github.com/abrt/libreport/blob/master/src/client-python/debuginfo.py#L226

Note You need to log in before you can comment on or make changes to this bug.